Index: util/cbfstool/lzma/C/Common/Alloc.cpp
===================================================================
--- util/cbfstool/lzma/C/Common/Alloc.cpp	(Revision 4951)
+++ util/cbfstool/lzma/C/Common/Alloc.cpp	(Arbeitskopie)
@@ -96,7 +96,7 @@
   if (size >= (1 << 18))
   {
     void *res = ::VirtualAlloc(0, (size + g_LargePageSize - 1) & (~(g_LargePageSize - 1)), 
-        MEM_COMMIT | MEM_LARGE_PAGES, PAGE_READWRITE);
+        MEM_COMMIT, PAGE_READWRITE);
     if (res != 0)
       return res;
   }
Index: util/cbfstool/cbfs-mkpayload.c
===================================================================
--- util/cbfstool/cbfs-mkpayload.c	(Revision 4951)
+++ util/cbfstool/cbfs-mkpayload.c	(Arbeitskopie)
@@ -27,7 +27,6 @@
 #include <fcntl.h>
 #include <getopt.h>
 #include <sys/stat.h>
-#include <arpa/inet.h>
 
 #include "common.h"
 #include "cbfs.h"
Index: util/cbfstool/common.h
===================================================================
--- util/cbfstool/common.h	(Revision 4951)
+++ util/cbfstool/common.h	(Arbeitskopie)
@@ -17,6 +17,12 @@
  */
 
 #include <stdint.h>
+#ifndef WIN32
+#include <arpa/inet.h>
+#else
+#define ntohl(x) ((x>>24) | (x<<24) | ((x>>8)&0xff00) | ((x<<8)&0xff0000))
+#define htonl ntohl
+#endif
 
 extern void *offset;
 extern struct cbfs_header *master_header;
